StreamCharBuffer.ConnectToWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.ConnectToWriter

- org.grails.buffer.StreamCharBuffer.ConnectToWriter

-     final class StreamCharBuffer.ConnectToWriter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `autoFlush` |
    `java.lang.Boolean` | `encoderAware` |
    `LazyInitializingWriter` | `lazyInitializingWriter` |
    `java.io.Writer` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConnectToWriter (java.io.Writer writer, boolean autoFlush)`
    `ConnectToWriter (LazyInitializingWriter lazyInitializingWriter, boolean autoFlush)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.io.Writer[]` | `getWriters()`
    `` | `public boolean` | `isAutoFlush()`
    `` | `private java.util.Set<java.io.Writer>` | `resolveLazyInitializers(java.util.Set<java.lang.Integer> resolved, LazyInitializingWriter lazyInitializingWriter)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### final boolean autoFlush

    - #### java.lang.Boolean encoderAware

    - #### final LazyInitializingWriter lazyInitializingWriter

    - #### final java.io.Writer writer

  - ### Constructor Detail

    - #### ConnectToWriter(java.io.Writer writer, boolean autoFlush)

    - #### ConnectToWriter(LazyInitializingWriter lazyInitializingWriter, boolean autoFlush)

  - ### Method Detail

    - #### java.io.Writer[] getWriters()

    - #### public boolean isAutoFlush()

    - #### private java.util.Set<java.io.Writer> resolveLazyInitializers(java.util.Set<java.lang.Integer> resolved, LazyInitializingWriter lazyInitializingWriter)